<?php
namespace PDFLink;

return [
    'view_manager' => [
        'template_path_stack' => [
            dirname(__DIR__) . '/view',
        ]
    ],
	'block_layouts' => [
        'factories' => [
            'pDFLink' => Service\BlockLayout\PDFLinkFactory::class,
        ],
    ],
    'form_elements' => [
        'invokables' => [
            Form\PDFLinkBlockForm::class => Form\PDFLinkBlockForm::class,
        ],
    ],
    'DefaultSettings' => [
        'PDFLinkBlockForm' => [
            'link_name' => '',
            'renderSourceLink' => true,
            'description_text' => '',
            'wrapStyle' => 'overflow-y: hidden;display: flex;flex-direction: column;justify-content: center;',
        ]
    ]
];
