<?php
namespace PDFLink\Form;

use PDFLink\Module;
use Laminas\Form\Element;
use Laminas\Form\Form;

class PDFLinkBlockForm extends Form
{
	public function init()
	{

		$this->add([
			'name' => 'o:block[__blockIndex__][o:data][description_text]',
			'type' => Element\Textarea::class,
			'options' => [
					'label' => 'Short summary',
			],
			'attributes' => [
					'rows' => '10',
			 ],
		]);
	
	}
}
