<?php
namespace PDFLink\Service\BlockLayout;

use Interop\Container\ContainerInterface;
use PDFLink\Site\BlockLayout\PDFLink;
use Laminas\ServiceManager\Factory\FactoryInterface;

class PDFLinkFactory implements FactoryInterface
{
	public function __invoke(ContainerInterface $services, $requestedName, array $options = null)
	{
		return new PDFLink(
			$services->get('FormElementManager'),
			$services->get('Config')['DefaultSettings']['PDFLinkBlockForm']
		);
	}
}
?>